var proj4 = require("proj4")

const wkt = `PROJCS["NTF (Paris) / Lambert Nord France",
    GEOGCS["NTF (Paris)",
    DATUM["Nouvelle_Triangulation_Francaise_Paris",
        SPHEROID["Clarke 1880 (IGN)",6378249.2,293.4660212936269,
            AUTHORITY["EPSG","7011"]],
        TOWGS84[-168,-60,320,0,0,0,0],
        AUTHORITY["EPSG","6807"]],
    PRIMEM["Paris",2.33722917,
        AUTHORITY["EPSG","8903"]],
    UNIT["grad",0.01570796326794897,
        AUTHORITY["EPSG","9105"]],
    AUTHORITY["EPSG","4807"]],
PROJECTION["Lambert_Conformal_Conic_1SP"],
PARAMETER["latitude_of_origin",55],
PARAMETER["central_meridian",0],
PARAMETER["scale_factor",0.999877341],
PARAMETER["false_easting",600000],
PARAMETER["false_northing",200000],
UNIT["metre",1,
    AUTHORITY["EPSG","9001"]],
AXIS["X",EAST],
AXIS["Y",NORTH],
AUTHORITY["EPSG","27561"]]`;

const point = [712434.0930000528, 281096.2019974801];
const wktFunc = proj4(wkt, 'EPSG:4326');

proj4Def = "+proj=lcc +lat_1=49.50000000000001 +lat_0=49.50000000000001 +lon_0=0 +k_0=0.999877341 +x_0=600000 +y_0=200000 +a=6378249.2 +b=6356515 +towgs84=-168,-60,320,0,0,0,0 +pm=paris +units=m +no_defs"
const proj4Func = proj4(proj4Def, 'EPSG:4326');


const transformPoint = () => {
    const badOne = wktFunc.forward(point);  
    const goodOne = proj4Func.forward(point);
    return { badOne, goodOne }
}

transformPoint();
